<html>
	<head>
		<meta charset="utf-8"/>
		<script src="wasm_exec.js"></script>

	</head>
	<body>
		<h1>⏳ Loading...</h1>
    
		<script> 
      function loadWasm(path) {
        const go = new Go()

        return new Promise((resolve, reject) => {
          WebAssembly.instantiateStreaming(fetch(path), go.importObject)
          .then(result => {
            go.run(result.instance)
            resolve(result.instance)
          })
          .catch(error => {
            reject(error)
          })
        })
      }

			loadWasm("index.wasm").then(wasm => {
        console.log("index.wasm is loaded")
        document.open()
        document.write(Html());
        document.close()

			}).catch(error => {
        console.log("ouch", error)
      }) 

		</script>
	</body>
</html>